*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Infecciones de trasmisión sexual y VIH/SIDA								   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        1 de Marzo del 2019							   *
* Fecha última modificación:   19 de Diciembre del 2019				    	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

*==============================================================================*
* Storage T16_1
*==============================================================================*
clear all
global dir4 = "C:\ENSANUT 2018\Indicadores\sintaxis_publicación"
do "$dir4\\T16_1"
global dirr = "C:\ENSANUT 2018\Resultados_publicación"
set more off

foreach w of varlist T16_i1 T16_i2_1 {

destring prov, replace
local _var = "`w'"

*Nacional
svy: mean `_var'
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(1,6,.)
mat B[1,1] = A[1..1,1]
mat B[1,2] = A[1..1,2]
mat B[1,3] = A[1..1,5]
mat B[1,4] = A[1..1,6]
mat B[1,5] = A[1..1,10]
mat B[1,6] = A[1..1,11]

tab `_var', matcell(c)
mat c1=c[1,1..1]
mat c2=c[2,1..1]
mat C = c1 + c2 
mat D = B,c2,C
mat list D

*Área
svy: mean `_var', over(area)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab area `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D1= B,c2,C
mat list D1

*Region
svy: mean `_var', over(region)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(4,6,.)
mat B[1,1] = A[1..4,1]
mat B[1,2] = A[1..4,2]
mat B[1,3] = A[1..4,5]
mat B[1,4] = A[1..4,6]
mat B[1,5] = A[1..4,10]
mat B[1,6] = A[1..4,11]

tab region `_var', matcell(c)
mat c1=c[1..4,1]
mat c2=c[1..4,2]
mat C = c1 + c2
mat D2 = B,c2,C
mat list D2

*Prov
svy: mean `_var', over(prov)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(24,6,.)
mat B[1,1] = A[1..24,1]
mat B[1,2] = A[1..24,2]
mat B[1,3] = A[1..24,5]
mat B[1,4] = A[1..24,6]
mat B[1,5] = A[1..24,10]
mat B[1,6] = A[1..24,11]

tab prov `_var', matcell(c)
mat c1=c[1..24,1]
mat c2=c[1..24,2]
mat C = c1 + c2
mat D3 = B,c2,C
mat list D3

*Etnia
svy: mean `_var', over(etnia)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(5,6,.)
mat B[1,1] = A[1..5,1]
mat B[1,2] = A[1..5,2]
mat B[1,3] = A[1..5,5]
mat B[1,4] = A[1..5,6]
mat B[1,5] = A[1..5,10]
mat B[1,6] = A[1..5,11]

tab etnia `_var', matcell(c)
mat c1=c[1..5,1]
mat c2=c[1..5,2]
mat C = c1 + c2
mat D5= B,c2,C
mat list D5

mat Z=D\D1\D2\D3\D5

mat colnames Z = "B" "SE" "LL" "UL" "CV" "DEFF" "Num" "Den"
mat rownames Z = "Nacional" "Urbano" "Rural" "Sierra" "Costa" "Amazonía" "Insular" ///
"Azuay" "Bolívar" "Cañar" "Carchi" "Cotopaxi" "Chimborazo" "El Oro" "Esmeraldas" "Guayas" "Imbabura" ///
"Loja" "Los Ríos" "Manabí" "Morona Santiago" "Napo" "Pastaza" "Pichincha" "Tungurahua" "Zamora Chinchipe" ///
"Galápagos" "Sucumbíos" "Orellana" "Sto Domingo de los Tsáchilas" "Santa Elena" ///
"Indígena" "Afro-ecuatoriano" "Mestizo" "Blanco" "Montuvio" 
 
mat list Z
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("`_var'") modify
putexcel A1=matrix(Z), names
}
*
*==============================================================================*
* Storage T16_2
*==============================================================================*
clear all
global dir4 = "C:\ENSANUT 2018\Indicadores\sintaxis_publicación"
do "$dir4\\T16_2"
global dirr = "C:\ENSANUT 2018\Resultados_publicación"
set more off

foreach w of varlist T16_i3 T16_i2_2 {

destring prov, replace
local _var = "`w'"

*Nacional
svy: mean `_var'
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(1,6,.)
mat B[1,1] = A[1..1,1]
mat B[1,2] = A[1..1,2]
mat B[1,3] = A[1..1,5]
mat B[1,4] = A[1..1,6]
mat B[1,5] = A[1..1,10]
mat B[1,6] = A[1..1,11]

tab `_var', matcell(c)
mat c1=c[1,1..1]
mat c2=c[2,1..1]
mat C = c1 + c2 
mat D = B,c2,C
mat list D

*Área
svy: mean `_var', over(area)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab area `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D1= B,c2,C
mat list D1

*Region
svy: mean `_var', over(region)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(4,6,.)
mat B[1,1] = A[1..4,1]
mat B[1,2] = A[1..4,2]
mat B[1,3] = A[1..4,5]
mat B[1,4] = A[1..4,6]
mat B[1,5] = A[1..4,10]
mat B[1,6] = A[1..4,11]

tab region `_var', matcell(c)
mat c1=c[1..4,1]
mat c2=c[1..4,2]
mat C = c1 + c2
mat D2 = B,c2,C
mat list D2

*Prov
svy: mean `_var', over(prov)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(24,6,.)
mat B[1,1] = A[1..24,1]
mat B[1,2] = A[1..24,2]
mat B[1,3] = A[1..24,5]
mat B[1,4] = A[1..24,6]
mat B[1,5] = A[1..24,10]
mat B[1,6] = A[1..24,11]

tab prov `_var', matcell(c)
mat c1=c[1..24,1]
mat c2=c[1..24,2]
mat C = c1 + c2
mat D3 = B,c2,C
mat list D3

*Etnia
svy: mean `_var', over(etnia)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(5,6,.)
mat B[1,1] = A[1..5,1]
mat B[1,2] = A[1..5,2]
mat B[1,3] = A[1..5,5]
mat B[1,4] = A[1..5,6]
mat B[1,5] = A[1..5,10]
mat B[1,6] = A[1..5,11]

tab etnia `_var', matcell(c)
mat c1=c[1..5,1]
mat c2=c[1..5,2]
mat C = c1 + c2
mat D5= B,c2,C
mat list D5

mat Z=D\D1\D2\D3\D5

mat colnames Z = "B" "SE" "LL" "UL" "CV" "DEFF" "Num" "Den"
mat rownames Z = "Nacional" "Urbano" "Rural" "Sierra" "Costa" "Amazonía" "Insular" ///
"Azuay" "Bolívar" "Cañar" "Carchi" "Cotopaxi" "Chimborazo" "El Oro" "Esmeraldas" "Guayas" "Imbabura" ///
"Loja" "Los Ríos" "Manabí" "Morona Santiago" "Napo" "Pastaza" "Pichincha" "Tungurahua" "Zamora Chinchipe" ///
"Galápagos" "Sucumbíos" "Orellana" "Sto Domingo de los Tsáchilas" "Santa Elena" ///
"Indígena" "Afro-ecuatoriano" "Mestizo" "Blanco" "Montuvio" 
 
mat list Z
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("`_var'") modify
putexcel A1=matrix(Z), names
}
*
