*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Características demográficas   									           *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *										   
*==============================================================================*
* Fecha de elaboración:        20 de Diciembre del 2018						   *
* Fecha última modificación:   19 de Diciembre del 2019					   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

*==============================================================================*
* Storage T2
*==============================================================================*
clear all
global dir4 = "C:\ENSANUT 2018\Indicadores\sintaxis_publicación"
do "$dir4\\T2"
global dirr = "C:\ENSANUT 2018\Resultados_publicación"
set more off 

***Etnia 
*Nacional
svy: prop T2_i1
mat a = r(table)*100
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(5,6,.)
mat B[1,1] = A[1..5,1]
mat B[1,2] = A[1..5,2]
mat B[1,3] = A[1..5,5]
mat B[1,4] = A[1..5,6]
mat B[1,5] = A[1..5,10]
mat B[1,6] = A[1..5,11]

foreach j of numlist 1/5{
sum T2_i1 if T2_i1==`j' 
mat c`j' = r(N)
}
*
mat C=J(5,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]
mat C[3,1] = c3[1,1]
mat C[4,1] = c4[1,1]
mat C[5,1] = c5[1,1]

mat D=B,C

mat colnames D = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames D = "Indígena" "Afrodescendiente" "Montuvio" "Mestizo" "Blanco" 
mat list D
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("T2_i1") modify
putexcel A1=matrix(D), names

*Área
svy: prop T2_i1, over(area)
mat a = r(table)*100
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(10,6,.)
mat B[1,1] = A[1..10,1]
mat B[1,2] = A[1..10,2]
mat B[1,3] = A[1..10,5]
mat B[1,4] = A[1..10,6]
mat B[1,5] = A[1..10,10]
mat B[1,6] = A[1..10,11]

tab area T2_i1, matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat c3=c[1..2,3]
mat c4=c[1..2,4]
mat c5=c[1..2,5]
mat C=c1\c2\c3\c4\c5

mat D=B,C

mat colnames D = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames D = "Indígena u" "Indígena r" "Afrodescendiente u" "Afrodescendiente r" ///
"Montuvio u" "Montuvio r" "Mestizo u" "Mestizo r" "Blanco u" "Blanco r" 
mat list D
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("T2_i1") modify
putexcel A8=matrix(D), names

***Estado civíl 
*Nacional
svy: prop T2_i3
mat a = r(table)*100
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(3,6,.)
mat B[1,1] = A[1..3,1]
mat B[1,2] = A[1..3,2]
mat B[1,3] = A[1..3,5]
mat B[1,4] = A[1..3,6]
mat B[1,5] = A[1..3,10]
mat B[1,6] = A[1..3,11]

foreach j of numlist 1/3{
sum T2_i3 if T2_i3==`j' 
mat c`j' = r(N)
}
*
mat C=J(3,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]
mat C[3,1] = c3[1,1]

mat D=B,C

mat colnames D = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames D = "Casado o Unido" "Separado" "Soltero" 
mat list D
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("T2_i3") modify
putexcel A1=matrix(D), names

*Área
svy: prop T2_i3, over(area)
mat a = r(table)*100
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(6,6,.)
mat B[1,1] = A[1..6,1]
mat B[1,2] = A[1..6,2]
mat B[1,3] = A[1..6,5]
mat B[1,4] = A[1..6,6]
mat B[1,5] = A[1..6,10]
mat B[1,6] = A[1..6,11]

tab area T2_i3, matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat c3=c[1..2,3]
mat C=c1\c2\c3

mat D=B,C

mat colnames D = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames D = "Casado o Unido u" "Casado o Unido r" "Separado u" "Separado r" "Soltero u" "Soltero r" 
mat list D
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("T2_i3") modify
putexcel A5=matrix(D), names
