*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Características ocupacionales		  	 					             	   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        1 de Marzo del 2019							   *
* Fecha última modificación:   19 de Diciembre del 2019				    	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

*==============================================================================*
* Storage T20
*==============================================================================*
clear all
global dir4 = "C:\ENSANUT 2018\Indicadores\sintaxis_publicación"
do "$dir4\\T20_indicadores"
global dirr = "C:\ENSANUT 2018\Resultados_publicación"
set more off

foreach w of varlist T20_i1	T20_i2 T20_i3 T20_i4 T20_i5	T20_i6 T20_i7 T20_i8 T20_i9	T20_i14	T20_i15 {

destring prov, replace
local _var = "`w'"

*Nacional
svy: mean `_var'
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(1,6,.)
mat B[1,1] = A[1..1,1]
mat B[1,2] = A[1..1,2]
mat B[1,3] = A[1..1,5]
mat B[1,4] = A[1..1,6]
mat B[1,5] = A[1..1,10]
mat B[1,6] = A[1..1,11]

tab `_var', matcell(c)
mat c1=c[1,1..1]
mat c2=c[2,1..1]
mat C = c1 + c2 
mat D = B,c2,C
mat list D

*Área
svy: mean `_var', over(area)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab area `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D1= B,c2,C
mat list D1

*Region
svy: mean `_var', over(region)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(4,6,.)
mat B[1,1] = A[1..4,1]
mat B[1,2] = A[1..4,2]
mat B[1,3] = A[1..4,5]
mat B[1,4] = A[1..4,6]
mat B[1,5] = A[1..4,10]
mat B[1,6] = A[1..4,11]

tab region `_var', matcell(c)
mat c1=c[1..4,1]
mat c2=c[1..4,2]
mat C = c1 + c2
mat D2 = B,c2,C
mat list D2

*Sexo
svy: mean `_var', over(sexo)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab sexo `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D3= B,c2,C
mat list D3

*Desnutrición 
svy: mean `_var', over(dcronica)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab dcronica `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D4= B,c2,C
mat list D4

mat Z=D\D1\D2\D3\D4

mat colnames Z = "B" "SE" "LL" "UL" "CV" "DEFF" "Num" "Den"
mat rownames Z = "Nacional" "Urbano" "Rural" "Sierra" "Costa" "Amazonía" "Insular" ///
"Hombre" "Mujer" "Sin Desnutrición" "Con Desnutrición"   
 
mat list Z
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("`_var'") modify
putexcel A1=matrix(Z), names
}
*
foreach w of varlist T20_i10 T20_i11 T20_i12 T20_i13 T20_i16 {

destring prov, replace
local _var = "`w'"

*Nacional
svy: mean `_var'
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(1,6,.)
mat B[1,1] = A[1..1,1]
mat B[1,2] = A[1..1,2]
mat B[1,3] = A[1..1,5]
mat B[1,4] = A[1..1,6]
mat B[1,5] = A[1..1,10]
mat B[1,6] = A[1..1,11]

tab `_var', matcell(c)
mat c1=c[1,1..1]
mat c2=c[2,1..1]
mat C = c1 + c2 
mat D = B,c2,C
mat list D

*Área
svy: mean `_var', over(area)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab area `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D1= B,c2,C
mat list D1

*Region
svy: mean `_var', over(region)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(4,6,.)
mat B[1,1] = A[1..4,1]
mat B[1,2] = A[1..4,2]
mat B[1,3] = A[1..4,5]
mat B[1,4] = A[1..4,6]
mat B[1,5] = A[1..4,10]
mat B[1,6] = A[1..4,11]

tab region `_var', matcell(c)
mat c1=c[1..4,1]
mat c2=c[1..4,2]
mat C = c1 + c2
mat D2 = B,c2,C
mat list D2

*Sexo
svy: mean `_var', over(sexo)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab sexo `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D3= B,c2,C
mat list D3

*Desnutrición 
svy: mean `_var', over(dcronica)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

tab dcronica `_var', matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat C = c1 + c2
mat D4= B,c2,C
mat list D4

mat Z=D\D1\D2\D3\D4

mat colnames Z = "B" "SE" "LL" "UL" "CV" "DEFF" "Num" "Den"
mat rownames Z = "Nacional" "Urbano" "Rural" "Sierra" "Costa" "Amazonía" "Insular" ///
"Hombre" "Mujer" "Sin Desnutrición" "Con Desnutrición"   
 
mat list Z
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("`_var'") modify
putexcel A1=matrix(Z), names
}
*
foreach w of varlist T20_i17 T20_i18 T20_i19 T20_i20 T20_i21 {

destring prov, replace
local _var = "`w'"

*Nacional
svy: mean `_var'
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(1,6,.)
mat B[1,1] = A[1..1,1]
mat B[1,2] = A[1..1,2]
mat B[1,3] = A[1..1,5]
mat B[1,4] = A[1..1,6]
mat B[1,5] = A[1..1,10]
mat B[1,6] = A[1..1,11]

sum `_var'
mat c = r(N)
mat D = B,c
mat list D

*Área
svy: mean `_var', over(area)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

foreach j of numlist 1/2{
sum `_var' if area==`j'
mat c`j' = r(N)
}
*
mat C = J(2,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]

mat D1 = B,C
mat lis D1


*Region
svy: mean `_var', over(region)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(4,6,.)
mat B[1,1] = A[1..4,1]
mat B[1,2] = A[1..4,2]
mat B[1,3] = A[1..4,5]
mat B[1,4] = A[1..4,6]
mat B[1,5] = A[1..4,10]
mat B[1,6] = A[1..4,11]

foreach j of numlist 1/4{
sum `_var' if region==`j'
mat c`j' = r(N)
}
*
mat C = J(4,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]
mat C[3,1] = c3[1,1]
mat C[4,1] = c4[1,1]

mat D2 = B,C
mat list D2

*Sexo
svy: mean `_var', over(sexo)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

foreach j of numlist 1/2{
sum `_var' if sexo==`j'
mat c`j' = r(N)
}
*
mat C = J(2,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]

mat D3 = B,C
mat list D3

*Desnutrición 
svy: mean `_var', over(dcronica)
mat a = r(table)
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(2,6,.)
mat B[1,1] = A[1..2,1]
mat B[1,2] = A[1..2,2]
mat B[1,3] = A[1..2,5]
mat B[1,4] = A[1..2,6]
mat B[1,5] = A[1..2,10]
mat B[1,6] = A[1..2,11]

foreach j of numlist 0/1{
sum `_var' if dcronica==`j'
mat c`j' = r(N)
}
*
mat C = J(2,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]

mat D4 = B,C
mat list D4

mat Z=D\D1\D2\D3\D4

mat colnames Z = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames Z = "Nacional" "Urbano" "Rural" "Sierra" "Costa" "Amazonía" "Insular" ///
"Hombre" "Mujer" "Sin Desnutrición" "Con Desnutrición"   
 
mat list Z
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("`_var'") modify
putexcel A1=matrix(Z), names
}
