*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Preferencias terapéuticas             									   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        1 de Marzo del 2019							   *
* Fecha última modificación:   19 de Diciembre del 2019				    	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

*==============================================================================*
* Storage T5
*==============================================================================*
clear all
global dir4 = "C:\ENSANUT 2018\Indicadores\sintaxis_publicación"
do "$dir4\\T5"
global dirr = "C:\ENSANUT 2018\Resultados_publicación"
set more off

*Nacional
svy: prop T5_i1
mat a = r(table)*100
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(4,6,.)
mat B[1,1] = A[1..4,1]
mat B[1,2] = A[1..4,2]
mat B[1,3] = A[1..4,5]
mat B[1,4] = A[1..4,6]
mat B[1,5] = A[1..4,10]
mat B[1,6] = A[1..4,11]

foreach j of numlist 1/4{
sum T5_i1 if T5_i1==`j' 
mat c`j' = r(N)
}
*
mat C=J(4,1,.)
mat C[1,1] = c1[1,1]
mat C[2,1] = c2[1,1]
mat C[3,1] = c3[1,1]
mat C[4,1] = c4[1,1]

mat D=B,C

mat colnames D = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames D = "Medicina general" "Medicina alternativa" "Medicina ancestral" "Otro, cuál?"
mat list D
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("T5_i1") modify
putexcel A1=matrix(D), names

*Área
svy: prop T5_i1, over(area)
mat a = r(table)*100
estat cv
mat b = r(cv)
estat effects
mat c = r(deff)

mat A = a\b\c
mat A = A'
mat B = J(8,6,.)
mat B[1,1] = A[1..8,1]
mat B[1,2] = A[1..8,2]
mat B[1,3] = A[1..8,5]
mat B[1,4] = A[1..8,6]
mat B[1,5] = A[1..8,10]
mat B[1,6] = A[1..8,11]

tab area T5_i1, matcell(c)
mat c1=c[1..2,1]
mat c2=c[1..2,2]
mat c3=c[1..2,3]
mat c4=c[1..2,4]
mat C=c1\c2\c3\c4

mat D=B,C

mat colnames D = "B" "SE" "LL" "UL" "CV" "DEFF" "n"
mat rownames D = "Medicina general u" "Medicina general r" "Medicina alternativa u" "Medicina alternativa r" ///
"Medicina ancestral u" "Medicina ancestral r" "Otro, cuál u?" "Otro, cuál r?"
mat list D
putexcel set "$dirr\\Indicadores_deff.xlsx", sheet("T5_i1") modify
putexcel A8=matrix(D), names


