*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Planificación Familiar													   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3 de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 4_BDD_ENS2018_f2_mef, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
* T14_i1. MEF casadas o unidas que utilizan métodos anticonceptivos modernos
*==============================================================================*

cap drop x
 gen x=1 if (f2_s6_603_1==1 | f2_s6_603_2==1 | f2_s6_603_3==1 | f2_s6_603_4==1 | f2_s6_603_5==1 | f2_s6_603_6==1 ///
| f2_s6_603_7==1 | f2_s6_603_8==1 | f2_s6_603_9==1 | f2_s6_603_10==1  | f2_s6_603_11==1  | f2_s6_603_12==1 ) 
tab x

cap drop anti_mod
cap label drop anti_mod 
gen 	anti_mod=0   if (inrange(f2_s9_900,1,3)  )& inrange(f2_s1_101,15,49) & x==1
replace anti_mod=100 if (inrange(f2_s9_900,1,3) ) & inrange(f2_s1_101,15,49) & ///
(f2_s6_603_1==1 | f2_s6_603_2==1 | f2_s6_603_3==1 | f2_s6_603_4==1 | f2_s6_603_5==1 | f2_s6_603_6==1 ///
| f2_s6_603_7==1 | f2_s6_603_8==1 | f2_s6_603_9==1 )
lab var anti_mod "Porcentaje de MEF entre 15 y 49 años que se encuentran casadas o unidas que utilizan métodos anticonceptivos modernos" 
tab anti_mod
rename anti_mod T14_i1

*==============================================================================*
* T14_i2. Uso de métodos anticonceptivos en la primera relación sexual
*==============================================================================*

cap drop uaprs
cap label drop uaprs 
gen 	uaprs = 0   if inrange(f2_s1_101,15,24) & f2_s8_808!=.
replace uaprs = 100 if inrange(f2_s1_101,15,24) & f2_s8_808==1 
lab var uaprs "Porcentaje de MEF entre 15 y 24 años que usaron métodos anticonceptivos en su primera relación sexual"
tab uaprs

rename uaprs    T14_i2  

*==============================================================================*
* T14_i7. Conocimiento de metodos de planificación mujeres
*==============================================================================*

foreach x in 1 2 3 4 5 6 7 8 9 10 11 12 {
gen conoce_`x'=1 if f2_s6_600_`x'==1 | f2_s6_601_`x'==1 
}  
*
egen conoce = rowtotal(conoce_*) 

gen     T14_i7=0   if conoce!=.
replace T14_i7=100 if conoce>=1  

tab T14_i7 

