*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Actividad sexual y reproductiva											   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3 de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 4_BDD_ENS2018_f2_mef, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
* T15_i1_1. Porcentaje de mujeres de 20 a 24 años que estuvieron casadas o en 
*        unión antes de los 15 años 
*==============================================================================

* Menores de 15
gen 	  caso_15 = 0 if inrange(f2_s1_101,20,24) & (f2_s9_900<=6 | (f2_s9_900==7 & f2_s9_901==1))
replace   caso_15 = 100 if inrange(f2_s1_101,20,24) & (f2_s9_900<=6 | (f2_s9_900==7 & f2_s9_901==1)) & f2_s9_905<15 & f2_s9_905!=.
replace   caso_15 = . if f2_s9_905==77
rename caso_15 T15_i1_1
svy: mean T15_i1_1


*==============================================================================*
* T15_i1_2. Porcentaje de mujeres de 20 a 24 años que estuvieron casadas o en 
*        unión antes de los 18 años 
*==============================================================================

* Menores de 18
gen 	  caso_18 = 0 if inrange(f2_s1_101,20,24) & (f2_s9_900<=6 | (f2_s9_900==7 & f2_s9_901==1))
replace   caso_18 = 100 if inrange(f2_s1_101,20,24) & (f2_s9_900<=6 | (f2_s9_900==7 & f2_s9_901==1)) & f2_s9_905<18 & f2_s9_905!=.
replace   caso_18 = . if f2_s9_905==77
rename caso_18 T15_i1_2
svy: mean T15_i1_2

*==============================================================================*
* T15_i2. Porcentaje de mujeres de 15 a 49 años de edad que toman sus propias 
*        decisiones informadas con respecto a salud sexual y reproductiva
*==============================================================================*

gen unida = 1 if inrange(f2_s9_900,1,3) & inrange(f2_s1_101,15,49)

gen 	mdeinf = 0   if unida==1
replace mdeinf = 100 if unida==1 & f2_s8_839==1 & inlist(f2_s8_844,2,3) & inrange(f2_s6_633,1,2)
rename mdeinf T15_i2
tab T15_i2 

*==============================================================================*
