*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Infecciones de trasmisión sexual y VIH/SIDA								   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3 de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 4_BDD_ENS2018_f2_mef, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
* T16_i1. Conocimiento de VIH/Sida en mujeres (espontaneo)
*==============================================================================*

gen 	conoce_vih=0   if f2_s1_101>=12
replace conoce_vih=100 if f2_s1_101>=12 & f2_s10_1001_3==1
rename conoce_vih T16_i1
tab T16_i1 

*==============================================================================*
* T16_i2_1. Porcentaje de mef que se han realizado el examen de VIH/Sida
*==============================================================================*

gen 	examen_vih=0   if f2_s10_1016!=. & f2_s1_101>=15 & f2_s1_101<=49
replace examen_vih=100 if f2_s10_1016==1 & f2_s1_101>=15 & f2_s1_101<=49
rename examen_vih T16_i2_1
tab T16_i2_1


