*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Infecciones de trasmisión sexual y VIH/SIDA								   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3 de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 7_BDD_ENS2018_f3_ssrh, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
* T16_i3. Conocimiento de VIH/Sida en hombres (espontaneo)
*==============================================================================*

gen 	conoce_vih_h=0   if f3_s1_2>=12
replace conoce_vih_h=100 if f3_s4_401_3==1 & f3_s1_2>=12
rename conoce_vih_h T16_i3
tab T16_i3 

*==============================================================================*
* T16_i2. Porcentaje de hombres que se han realizado el examen de VIH/Sida
*==============================================================================*

gen 	examen_vih_h=0   if f3_s4_416!=. & f3_s1_2>=15 & f3_s1_2<=49
replace examen_vih_h=100 if  f3_s4_416==1 & f3_s1_2>=15 & f3_s1_2<=49
rename examen_vih_h T16_i2_2
tab T16_i2_2 
