*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Factores de riesgo														   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3  de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 8_BDD_ENS2018_f4_fact_riesgo, clear

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
* T17_i1. Visita al dentista en el último año
*==============================================================================*
gen 	visita_dent = 0   if f4_s2_200!=.
replace visita_dent = 100 if f4_s2_200==1
rename visita_dent T17_i1
tab T17_i1

*==============================================================================*
* T17_i2. Personas de 5 a 18 años que se cepillan los dientes al menos dos veces al día
*==============================================================================*
gen 	frec_cep = 0   if f4_s2_202!=.
replace frec_cep = 100 if f4_s2_202==4
rename frec_cep T17_i2
tab T17_i2

