*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Actividad Física														   	   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
*==============================================================================*
* Fecha de elaboración:       3 de Diciembre del 2018					       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 8_BDD_ENS2018_f4_fact_riesgo, clear

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
* T18_i1. Promedio de población que practicó una actividad física por al menos 60 min al día 
*------------------------------------------------------------------------------*
cap drop T18_i1 
gen T18_i1= f4_s3_301 
svy: mean T18_i1

*------------------------------------------------------------------------------*
* T18_i2. Promedio en horas de actividad física a la semana  
*------------------------------------------------------------------------------*
*** Cálculo
** LLevar a las variables de la seccion a horas
cap drop aux_T18_*

gen aux_T18_3= f4_s3_305_1*f4_s3_305_2*f4_s3_305_3 if f4_s3_300==1 & f4_s3_304==1
replace aux_T18_3= aux_T18_3/60
	*Minutos de ejercicio a la semana en educ física si asiste a esa clases.

** Actividad física a la semana (en horas)
cap drop T18_i2
egen T18_i2 = rowtotal(aux_T18_3), miss
label var T18_i2 "Actividad física a la semana en horas"
svy: mean T18_i2

*------------------------------------------------------------------------------*
* T18_i3. Sedentarismo 
*------------------------------------------------------------------------------*

gen aux_T18_04_1=f4_s3_306_2/60 if f4_s3_306_2!=.
gen T18_i3=aux_T18_04_1+f4_s3_306_1
svy: mean T18_i3

*------------------------------------------------------------------------------*


