*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Consumo de tabaco y alcohol   	 					             	   	   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        2 de Enero del 2019							   *
* Fecha última modificación:   19 de Diciembre del 2019					   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 8_BDD_ENS2018_f4_fact_riesgo, clear

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
	* T19_i1: Prevalencia de consumo de vida de tabaco del total de la población de 10  17 años
*------------------------------------------------------------------------------*

***CÁLCULO
gen T19_i1 = .
replace T19_i1 = 0   if inrange(f4_s1_6,10,17)
replace T19_i1 = 100 if f4_s6_600 == 1 & inrange(f4_s1_6,10,17)
svy: mean T19_i1

*------------------------------------------------------------------------------*
	* T19_i2: Prevalencia de consumo actual de tabaco del total de la población de 10  17 años
*------------------------------------------------------------------------------*

***CÁLCULO
gen T19_i2 = .
replace T19_i2 = 0   if inrange(f4_s1_6,10,17)
replace T19_i2 = 100 if f4_s6_603 == 1 & inrange(f4_s1_6,10,17)
svy: mean T19_i2

*------------------------------------------------------------------------------*
	* T19_i3: Prevalencia de consumo de vida de alcohol del total de la población de 10  17 años
*------------------------------------------------------------------------------*

***CÁLCULO
cap drop T19_i3
gen T19_i3 = .
replace T19_i3 = 0   if inrange(f4_s1_6,10,17)
replace T19_i3 = 100 if f4_s5_500 == 1 & inrange(f4_s1_6,10,17)
svy: mean T19_i3

*------------------------------------------------------------------------------*
	* T19_i4: Prevalencia de consumo de alcohol en los últimos 30 días del total de la población de 10  17 años
*------------------------------------------------------------------------------*

***CÁLCULO
gen T19_i4 = .
replace T19_i4 =0   if inrange(f4_s1_6,10,17)
replace T19_i4 =100 if inrange(f4_s5_502,1,30) & inrange(f4_s1_6,10,17)
svy: mean T19_i4

*------------------------------------------------------------------------------*
	* T19_i5: Media de días de consumo de alcohol en el último mes 
	*(de las personas de 10 a menores de 18 años)
*------------------------------------------------------------------------------*

***CÁLCULO
gen T19_i5 = f4_s5_502 if inrange(f4_s5_502,0,30) & inrange(f4_s1_6,10,17)
svy: mean T19_i5 

*------------------------------------------------------------------------------*
	* T19_i6: Media de días de consumo de alcohol en el último mes 
	*(de las personas de 10 a menores de 18 años que han consumido alcohol en el último mes)
*------------------------------------------------------------------------------*

***CÁLCULO
gen T19_i6 = f4_s5_502 if inrange(f4_s1_6,10,17) 
recode T19_i6 0=. if inrange(f4_s1_6,10,17) 
svy: mean T19_i6 

*------------------------------------------------------------------------------*
* T19_i7: Porcentaje de personas de 10 a 17 años expuestos al humo de tabaco ajeno
*------------------------------------------------------------------------------*

***CÁLCULO
gen T19_i7=.
replace T19_i7=0   if inrange(f4_s1_6,10,17)
replace T19_i7=100 if f4_s6_607 == 1 & inrange(f4_s1_6,10,17)

svy: mean T19_i7

*------------------------------------------------------------------------------*
	* Fin de Temática 19
*------------------------------------------------------------------------------*


