*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Datos de la vivienda y el hogar									           *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *										   
*==============================================================================*
* Fecha de elaboración:        20 de Diciembre del 2018						   *
* Fecha última modificación:   19 de Diciembre del 2019					   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
*En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 2_BDD_ENS2018_f1_hogar, clear

merge 1:m id_hogar using 1_BDD_ENS2018_f1_personas, force
keep if _merge==3
drop _merge

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
	* T1_i3. Hacinamiento
*------------------------------------------------------------------------------*

*** Cálculo
	
 /* Se considera deficitario si la relación 
	(# personas / # dormitorios) >3
	Se acuerda la recodificación de 0 por 1 en el caso de 
	no existir ningún dormitorio exclusivo para dormir */
	
gen y = 1
egen hsize = sum(y), by(id_hogar)
label var hsize "Tamaño del hogar"

clonevar f1_s1_8_new=f1_s1_8 
recode f1_s1_8_new (0=1)
gen y_1=hsize/f1_s1_8_new
	
	gen     T1_i3 = 0 if f1_s1_8_new!=.
	replace T1_i3 = 100 if y_1>3  & f1_s1_8_new!=.

	svy: mean T1_i3
	
*------------------------------------------------------------------------------*
	