*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Características demográficas  									           *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *										   
*==============================================================================*
* Fecha de elaboración:        20 de Diciembre del 2018						   *
* Fecha última modificación:   19 de Diciembre del 2019					   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off

cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 1_BDD_ENS2018_f1_personas, clear

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
	* T2_i1: Auto-identificación étnica 
*------------------------------------------------------------------------------*

***CÁLCULO
cap drop T2_i1
cap label drop T2_i1
recode f1_s2_9 (1 = 1 "Indígena") (2/4 = 2 "Afrodescendiente") (5 8 = 3 "Montuvio u Otro") ///
(6 = 4 "Mestizo") (7 = 5 "Blanco") (mis=.), gen(T2_i1) 
svy: prop T2_i1

*------------------------------------------------------------------------------*
	* T2_i3: Estado civil conyugal 
*------------------------------------------------------------------------------*

***CÁLCULO
cap drop T2_i3
cap label drop T2_i3 
recode f1_s2_16 (1/3=1 "Casado o Unido") (4/6=2 "Separado") (7=3 "Soltero") ///
(mis=.), gen (T2_i3)
svy: prop T2_i3

*------------------------------------------------------------------------------*
