*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Características educacionales 	 					                  	   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3  de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off

cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 1_BDD_ENS2018_f1_personas, clear 	

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
	* T3_i1: Analfabetismo en personas de 15 años o más
*------------------------------------------------------------------------------*

***CÁLCULO
gen     T3_i1=.
replace T3_i1=0 if inrange(f1_s2_3_1,15,99) & f1_s2_20==1 & inrange(f1_s2_19_1,1,5)
replace T3_i1=0 if inrange(f1_s2_3_1,15,99) & inrange(f1_s2_19_1,6,10)
replace T3_i1=100 if inrange(f1_s2_3_1,15,99) & f1_s2_20==2 & inrange(f1_s2_19_1,1,5)
label var T3_i1 "Tasa de analfabestismo (15 años y más)"
svy: mean T3_i1

*------------------------------------------------------------------------------*
	* T3_i2: Analfabetismo en personas de 15 años a 49 años
*------------------------------------------------------------------------------*

***CÁLCULO
gen     T3_i2=.
replace T3_i2=0 if inrange(f1_s2_3_1,15,49) & f1_s2_20==1 & inrange(f1_s2_19_1,1,5)
replace T3_i2=0 if inrange(f1_s2_3_1,15,49) & inrange(f1_s2_19_1,6,10)
replace T3_i2=100 if inrange(f1_s2_3_1,15,49) & f1_s2_20==2 & inrange(f1_s2_19_1,1,5)
label var T3_i2 "Tasa de analfabestismo (15 a 49 años)"
svy: mean T3_i2

*------------------------------------------------------------------------------*
	*T3_i3: Escolaridad promedio
*------------------------------------------------------------------------------*

***CÁLCULO
gen     T3_i3=.
replace T3_i3=0         if f1_s2_19_1==1 
replace T3_i3=2 * f1_s2_19_2   if f1_s2_19_1==2 & inrange(f1_s2_19_2,0,3)
replace T3_i3=3 + f1_s2_19_2   if f1_s2_19_1==2 & inrange(f1_s2_19_2,4,10)
replace T3_i3=1         if f1_s2_19_1==3
replace T3_i3=1  + f1_s2_19_2 if f1_s2_19_1==4
replace T3_i3=     f1_s2_19_2 if f1_s2_19_1==5
replace T3_i3=7  + f1_s2_19_2 if f1_s2_19_1==6
replace T3_i3=10 + f1_s2_19_2 if f1_s2_19_1==7
replace T3_i3=13 + f1_s2_19_2 if f1_s2_19_1==8
replace T3_i3=13 + f1_s2_19_2 if f1_s2_19_1==9
replace T3_i3=18 + f1_s2_19_2 if f1_s2_19_1==10
label var T3_i3 "Años de escolaridad"
svy: mean T3_i3

*------------------------------------------------------------------------------*
