*============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Preferencias terapéuticas             									   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3  de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off

cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 1_BDD_ENS2018_f1_personas, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
* T5_i1. Población con problemas de salud
*------------------------------------------------------------------------------*

clonevar T5_i1= f1_s4_1

replace T5_i1=2 if  (T5_i1>=2 &  T5_i1<=4) & T5_i1!=.
replace T5_i1=3 if T5_i1==5
replace T5_i1=4 if T5_i1==6

label def T5_i1 1 "Medicina general" 2 "Medicina alternativa" 3 "medicina ancestral" 4 "Otro, cuál?"
label values T5_i1 T5_i1

*------------------------------------------------------------------------------*
