*============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Uso de servicios 					                    					   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:        3  de Enero del 2018						       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off

cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 1_BDD_ENS2018_f1_personas, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*------------------------------------------------------------------------------*
* T6_i1. Población con problemas de salud
*------------------------------------------------------------------------------*

*** Calculo
recode f1_s4_2 (1 = 100) (2 = 0), gen(T6_i1)
#delimit
label var T6_i1 "Población con problemas de salud durante los 30 días previos 
a la entrevista";
#delimit cr

*------------------------------------------------------------------------------*
* T6_i2. Problemas de hospitalización
*------------------------------------------------------------------------------*

*** Calculo
recode f1_s4_54 (1 = 100) (2 = 0), gen(T6_i2)
label var T6_i2 "Hospitalizaciones en los últimos 12 meses"

*------------------------------------------------------------------------------*
	* Fin de Tematica 6
*------------------------------------------------------------------------------*

