*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Etiquetado de alimentos y bebidas procesadas                                 *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:       10 de Diciembre del 2018					       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 3_BDD_ENS2018_f1_etiqueta, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
* T8_i1. Porcentaje de persoans de 10 años y más que reconocen, entienden y usan el etiquetado
*==============================================================================*
gen 	etiq = 0 if f1_s8_2!=.
replace etiq = 100 if f1_s8_2==1 & f1_s8_3==1 & inrange(f1_s8_12,2,5)
rename etiq T8_i1

*==============================================================================*
* T8_i2. Porcentaje de personas de 10 años y más que consumen alimentos con etiqueta roja
*==============================================================================*
gen 	etiq_roja=0 if f1_s8_21!=.
replace etiq_roja=100 if inrange(f1_s8_21,1,3)
rename etiq_roja T8_i2

*==============================================================================*
* T8_i3. Porcentaje de personas de 10 años y más que redujeron el consumo de etiqueta roja
*==============================================================================*
gen 	r_etiq_roja=0 if inrange(f1_s8_21,1,3)
replace r_etiq_roja=100 if f1_s8_21==2
rename r_etiq_roja T8_i3

*==============================================================================*


