*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* Fecundidad																   *
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta Nacional de Salud y Nutrición (ENSANUT - 2018)					   *
*==============================================================================*
* Fecha de elaboración:       10 de Diciembre del 2018					       *
* Fecha última modificación:  19 de Diciembre del 2019				   	   	   *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* Link:                                                                        *
* www.ecuadorencifras.gob.ec 												   *
*==============================================================================*

clear all
set more off
* En esta sección se copia la dirección en donde se encuentran las bases de datos
cd "C:\ENSANUT 2018\Bases de datos\Bases_trabajadas"

use 6_BDD_ENS2018_f2_salud_ninez, clear 

svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 

*==============================================================================*
*  Deseo de embarazo al nacimiento del niño
*==============================================================================*
recode f2_s4a_403_ (1=1 "Deseado planeado") (2=2 "Deseado no previsto") (3/4=3 "No previsto"), gen(deseado)
lab var des "Deseo de embarazo"
tab deseado

*==============================================================================*
* T9_i6 Embarazo deseado planeado
*==============================================================================*

gen deseado_planeado=.
replace deseado_planeado=0 if deseado!=.
replace deseado_planeado=100 if deseado==1
rename  deseado_planeado T9_i6
svy: mean T9_i6

*==============================================================================*
* T9_i7 Embarazo deseado  no previsto
*==============================================================================*
gen deseado_no_previsto=. 
replace deseado_no_previsto=0 if deseado!=. 
replace deseado_no_previsto=100 if deseado==2 
rename  deseado_no_previsto T9_i7
svy: mean T9_i7

*==============================================================================*
* T9_i8 Embarazo no previsto
*==============================================================================*

gen no_previsto=. 
replace no_previsto=0 if deseado!=. 
replace no_previsto=100 if deseado==3 
rename  no_previsto T9_i8
svy: mean T9_i8

*==============================================================================*
